Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get git automation state

GET/workspaces/{organizationId}/git-automation-states/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

State

idstringrequired
organizationIdstringrequired
stateIdstringrequired
prStatestringrequired
createdAtstringrequired
404

State not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/git-automation-states/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "stateId": "string",
  "prState": "string",
  "createdAt": "string"
}

Was this page helpful?